<template lang="pug">
  div
    DetalhesFamilia(v-if="!next" @avancar="avancar")
    TarefasFamilia(v-else @avancar="criarFamilia")
</template>

<script>
import DetalhesFamilia from '../components/familia/DetalhesFamilia'
import TarefasFamilia from '../components/familia/TarefasFamilia'
import { mapActions } from 'vuex'

export default {
  name: 'NovaFamilia',
  components: {
    DetalhesFamilia,
    TarefasFamilia
  },
  data () {
    return {
      selected: false,
      next: false,
      nome: '',
      dependentes: [],
      responsaveis: []
    }
  },
  methods: {
    ...mapActions( 'family', [
      'criar'
    ]),
    avancar (nome, dependentes, responsaveis) {
      this.nome = nome
      this.dependentes = dependentes
      this.responsaveis = responsaveis
      this.next = true
    },
    async criarFamilia (segunda, terca, quarta, quinta, sexta, sabado, domingo) {
      this.loading = true
      if (this.nome) {
        await this.criar({
          nome: this.nome,
          dependentes: this.dependentes,
          responsaveis: this.responsaveis,
          segunda,
          terca,
          quarta,
          quinta,
          sexta,
          sabado,
          domingo
        })
      } else {
        this.$q.notify({
          type: 'negative',
          message: `De um nome a sua família`
        }) 
      }
      this.loading = false
    }
  }
}
</script>

<style lang="stylus" scoped>
.width-50
  width 50%

.circular--landscape img {
  width: 50%;
  height: auto;
  // margin-left: -50px;
}
</style>